Subject: Re: bug#66189: [gnu.org #1975364] Broken link in Guix manual.

From: Simon Tournier <[email-masked]>
Date: Wed, 27 Sep 2023 11:28:14 +0200

Hi,

> Le Jeu 14 Sep 2023 09:14:20, [email-masked] a écrit :

>> https://ftp.gnu.org/gnu/guix/guix-system-vm-image-e5f7c14.x86_64-linux.qcow2
>> 
>> in
>> 
>> https://guix.gnu.org/manual/devel/en/html_node/Running-Guix-in-a-VM.html
>> 
>> is broken.

Yes, the link is automatically generated by,

    @url{@value{BASE-URL}/guix-system-vm-image-@value{VERSION}.x86_64-linux.qcow2}

For instance, today the last manual correspond to Guix revision faf3ca
and the link in this development manual reads,

    https://ftp.gnu.org/gnu/guix/guix-system-vm-image-fafd3ca.x86_64-linux.qcow2

To my knowledge, no one is pushing to FTP all these images.  As signaled
in the URL, this manual is the development manual (/devel/) continuously
generated and not the standard one carefully checked before release.

Well, discussion about the URL scheme is tracked by #51000 [1].

1: https://issues.guix.gnu.org/issue/51000

Cheers,
simon